program type_testen
  integer, parameter :: kurz=selected_int_kind(2)
  integer :: summe
  type Person
    character(len=50) :: Name
    integer           :: Alter
    real              :: Groesse
    integer(kind=kurz):: Geschlecht
  end type Person
  type (Person) :: Er, Sie
  Er=Person('Fritz Meyer',12,1.79,2_kurz)
  Sie=Person('Marianne Schultz',29,1.81,1_kurz)
  summe=Er%Alter+Sie%Alter !gibt 41
  write(*,fmt=*) summe
  write(*,fmt=*) Er
  write(*,fmt="(a16,i3,f5.2,i2)") Sie 
end program type_testen
!Ergebnis:
! 41
! Fritz Meyer                                       12,  1.78999996,  2
!Marianne Schultz 29 1.81 1
